SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000678SiT!incidentspublic2009-05-01 13:402009-08-16 14:40
ReporterBonkie 
Assigned Tokieran 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.50Fixed in Version3.50 
Summary0000678: Bug: customer add incident fails
DescriptionSQL error occurs when a customer adds a incident from thier login.
Bug fixed with the following code:

Starts at line 140:

//need to call directly as we don't have functions yet
$sql = "SELECT COUNT(*) AS count FROM `{$dbTempIncoming}`";
$result = mysql_query($sql);

if($result)
{
    list($inbox_count) = mysql_fetch_row($result);
    if ($inbox_count > 0)
    {
        $inbox_count = " (".$inbox_count.")";
    }
}
Additional InformationThe attached file is based on v3.50 svn5217
TagsNo tags attached.
Attached Files? file icon strings.inc.php [^] (26,817 bytes) 2009-05-01 13:40

- Relationships

-  Notes
User avatar (0001019)
paulh (administrator)
2009-05-05 19:20

trunk r5359 should resolved this by not including htmlheander in the portal (only include portalheader), could you possible test
User avatar (0001203)
kieran (administrator)
2009-06-13 11:02

Code was in htmlheader as paul says which shouldn't have been in the portal; marking as closed now the code isn't included.
User avatar (0001736)
ivan (administrator)
2009-08-16 14:40

Released in 3.50rc1

- Issue History
Date Modified Username Field Change
2009-05-01 13:40 Bonkie New Issue
2009-05-01 13:40 Bonkie File Added: strings.inc.php
2009-05-05 19:20 paulh Note Added: 0001019
2009-05-05 19:20 paulh Status new => feedback
2009-06-13 11:02 kieran Note Added: 0001203
2009-06-13 11:02 kieran Status feedback => resolved
2009-06-13 11:02 kieran Fixed in Version => Current SVN
2009-06-13 11:02 kieran Resolution open => fixed
2009-06-13 11:02 kieran Assigned To => kieran
2009-08-15 21:31 ivan Target Version => 3.50
2009-08-16 13:15 ivan Fixed in Version Current SVN => 3.50
2009-08-16 14:40 ivan Note Added: 0001736
2009-08-16 14:40 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker